2014年1月5日 星期日

DirectX 9.0c 及 Visual C++ 可轉散發套件 及 NET Framework 之下載點整理

windwos作業系統,灌完必裝的東西,避免軟體或遊戲無法執行,或出現怪毛病

win7 x64用了一段時間,感覺還不錯,不像XP那樣,跑一陣子後,就會卡卡的要重灌系統,因此.NET Framework及VC++可轉散發套件。。。這些東西,只要找一次下載及安裝就ok了

算是在逛論壇或討論版時,有些人遇到軟體或遊戲無法執行或是跳出不然就報錯,我的回貼,是不是net Framework和VC++可轉散發沒裝,得到的答覆是。。。這是什麼東西,那邊下載 = = ,於是花了點時間整理了一下,以後與到類似的問題,直接給本篇超連結就好了,而且未來重灌作業系統時,也會用的到,算是方便自已也方便別人

系統名稱必須是英數 → 系統名稱非英數,程式無法安裝之處理

提醒一下,請依順序安裝

Microsoft Visual C++ 2005 SP1 可轉散發套件,實在太舊了,除非程式或遊戲需要,不然不用裝
Microsoft Visual C++ 2005 SP1 Redistributable 可轉散發套件 (x86) 下載網址如下
https://www.microsoft.com/zh-tw/download/details.aspx?id=5638
Microsoft Visual C++ 2005 SP1 Redistributable 可轉散發套件 (x64) 下載網址如下
https://www.microsoft.com/zh-tw/download/details.aspx?id=18471


Microsoft Visual C++ 2008 SP1 Redistributable 可轉散發套件 (x86)

Microsoft Visual C++ 2008 SP1 Redistributable 可轉散發套件 (x64)


Microsoft Visual C++ 2010 SP1 Redistributable 可轉散發套件 (x86)

Microsoft Visual C++ 2010 SP1 Redistributable 可轉散發套件 (x64)


適用於 Visual Studio 2012 的 Visual C++ Redistributable 可轉散發套件 x86 x64
備註:vcredist_x86 及 vcredist_x64 打勾下載,那個 vcredist_arm 原則上不用打勾,那是ARM處理器在用的

適用於 Visual Studio 2013 的 Visual C++ Redistributable 可轉散發套件 x86 x64
備註:vcredist_x86 及 vcredist_x64 打勾下載,那個 vcredist_arm 原則上不用打勾,那是ARM處理器在用的

適用於 Visual Studio 2015 的 Visual C++ Redistributable 可轉散發套件 Update 3 x86 x64


Visual C++ Redistributable Packages for Visual Studio 2017 x86 可轉散發套件

Visual C++ Redistributable Packages for Visual Studio 2017 x64 可轉散發套件


開始 → 控制台 → 程式和功能,即可查看安裝情形







DirectX 9.0c 玩遊戲必備,他現在的載點是 DirectX End-User Runtime Web 安裝程式

點擊【下載】按鈕 → 惡意軟體移除工具不用打勾,點擊【不用了,謝謝,請繼續】
點擊 dxwebsetup.exe 執行 → 我接受合約 → 下一步




安裝 bing 工具列,不要打勾 → 下一步 → 完成




上述安裝後,重新開機一下,就可以了,算是避免沒載入到





.NET Framework 則是看軟體程式是否有要求,要安裝多少版號的 .NET Framework ,不然不用安裝

win 7 已經内建 .NET Framework 4.0
win 8 已經内建 .NET Framework 4.5
win 8.1 已經内建 .NET Framework 4.5.1
win 10 已經内建 .NET Framework 4.6

>> 安裝或下載 .NET Framework 可轉散發套件 <<

點擊進入後,表格右邊的平台支援,就可以看到隨附於,意思是已經内帶、已經内建

假設某個軟體,要求使用 .NET Framework 4.6.2 這個版號,但你的作業系統是 win 7 ,只有到 .NET Framework 4.0 ,則可點擊表格内的可轉散發安裝,下方之對應版號,即可轉至下載頁面




原則上 .NET Framework 是向下相容,就是安裝高版號後,低版號也可以執行;不過舊的 .NET Framework 3.5 版號或 .NET Framework 4.0 版號,可能會出現不相容,這時可以拉到上面,點擊其他版本,然後下載並安裝




其他問題

解決 windows 7 不能安裝 Visual Studio 2015 開發套件?
windows 7 無法安裝 Visual Studio 2015 開發套件之處理?

這是因爲缺乏下述3件東西,請自行手動安裝或更新

1、手動安裝 Microsoft Visual C++ 可轉散發套件 2008 ~ 2015
2、手動將 IE 瀏覽器版本升級到 IE 11
3、手動安裝 .NET Framework 4.6

這樣應該就可以安裝 Visual Studio 2015 開發套件了


對上述圖文教學,還不太明白的話,請至下方連結,查看 youtube 視頻解說

視頻解說之第一部分 https://www.youtube.com/watch?v=WFkYN2bSnpA

謝謝大家,抽空觀看,files備份檔名 windows02042

Where can I find DirectX 9.0c / Visual C++ Redistributable / .NET Framework and then download them

5 則留言:

  1. 感謝大大 幫了大忙:))

    回覆刪除
  2. 我是W7 X65,安裝C++ X86 正常,但換到X64卻沒辦法安裝,訊息顯示找不到vcredist.msi

    回覆刪除
    回覆
    1. .

      Ⅰ、你的作業系統名稱是否為英數?
      http://zfly9.blogspot.tw/2014/08/systemname.html

      Ⅱ、是安裝那一個?,如果是2005,不裝也沒差,現在大部份都用2010含後面版本寫的。

      .

      刪除
  3. 回覆
    1. 作業系統的使用者,要用英數
      https://zfly9.blogspot.com/2014/08/systemname.html

      刪除

留言後,需等待,站長的查看,才會公開,請勿重複留言,謝謝